.\" based on: $XConsortium: xload.man,v 1.29 94/04/17 20:43:44 matt Exp $
.TH XPPPOEM 1 "Release 6" "X Version 11"
.SH NAME
xpppoem \- pppoe throughput display for X
.SH SYNOPSIS
.ta 6n
\fBxpppoem\fP [-\fItoolkitoption\fP ...] [-hl \fIcolor\fP] [-highlight \fIcolor\fP] [-offline \fIcolor\fP] [-online \fIcolor\fP] [-busy \fIcolor\fP] [-cps_range \fIinteger\fP] [-nolabel] [-unit \fIinteger\fP] [-scale \fIinteger\fP] [-update \fIseconds\fP] [-jumpscroll \fIpixels\fP] \fP
.SH DESCRIPTION
The 
.I xpppoem 
program monitors the DSL connection of a Linux kernel 2.4.4
by reading the files /proc/net/pppoe and /proc/net/dev once a second.
It prints a status report on stderr once per second and a change
notification on stdout each time the connection changes its state.
.SH OPTIONS
.PP
.I xpppoem
accepts all of the standard X Toolkit command line options (see \fIX(1)\fP).
The order of the options is unimportant.  \fIxpppoem\fP also accepts the
following additional options:
.PP
.TP 8
.B \-hl \fIcolor\fP or \-highlight \fIcolor\fP
This option specifies the color of the scale lines.  
.TP 8
.B \-offline \fIcolor\fP
This option specifies the background color when the connection is OFF
.TP 8
.B \-online \fIcolor\fP
This option specifies the background color when the connection is ON.
.TP 8
.B \-busy \fIcolor\fP
This option enables indication of throughput by changing background colors.
The given color will be shown at throughputs higher than -cps_range.
The -online color will be shown at 0 cps throughput. Data rates between
0 and -cps_range will show interpolated colors.
.TP 8
.B \-show \fInumber:number:number\fP
Set the numbers of samples to be shown for the three gliding averages shown
in the status line. Default is 1:15:300 .
.TP 8
.B \-cps_range \fIinteger\fP
This option defines the data rate in characters per second at which the
-busy color is shown. The default value is 90000.
.br
Note: if this value is larger than the largest "-show" number, the eternal
average of the connection determines the color.
.TP 8
.B \-nolabel
If this command line option is specified then no label will be
displayed above the histogram graph.
.TP 8
.B \-nograph
If this command line option is specified then no histogram but only
a plain color pad will be displayed.
.TP 8
.B \-unit \fIinteger\fP
This option sets the data rate which represents one unit of the histogram.
A unit is mapped to the width between two horizontal tick marks.
The default value is 20000.
.TP 8
.B \-scale \fIinteger\fP
This option specifies the minimum number of tick marks in the histogram,
where one division represents one histogram unit.  If the throughput goes
above this number, \fIxpppoem\fP will create more divisions, but it will never
use fewer than this number.  The default is 1.
.TP 8
.B \-update \fIseconds\fP
This option specifies the interval in seconds at which \fIxpppoem\fP
updates its display.  The minimum amount of time allowed between updates
is 1 second.  The default is 10.
.TP 8
.B \-jumpscroll \fPnumber of pixels\fP
The number of pixels to shift the graph to the left when the graph
reaches the right edge of the window.  The default value is 1/2 the width
of the current window.  Smooth scrolling can be achieved by setting it to 1.
.TP 8
.B \-dev_name \fPname\fP
Set the name of the device line in /proc/net/dev which shall
be watched to obtain throughput information. If name is given
as "-" then it will be read from /proc/net/pppoe when the
connection is in state ON (this is the default setting).
.TP 8
.B \-pretend \fPon|off\fP
If set to "on" ignore /proc/net/pppoe and always watch in
/proc/net/dev the device given with -dev_name . The state is
like permanent ON but the -dev_name will get displayed instead.
One may monitor non-pppoe net devices like "lo" or "eth1"
this way. It might even work with older kernels.
.TP 8
.B \-listen_stdin \fPon|off\fP
If set to "on" ignore /proc . Listen for message lines at stdin
with four fields :
.br
 is_on , device_name , timestamp , count
.br
is_on:  0= OFF , 1= ON , 2= -pretend 
.br
timestamp: seconds since 1970.
.br
count: number of new bytes since the last message.
.br
See -report "forward" for example lines.
.TP 8
.B \-report \fPon|off|forward\fP
Control reporting on stdout and stderr. "off" disables all
regular messages. "on" is the normal mode. "forward"
prints messages to stdout suitable for -listen_stdin "on".
.TP 8
.B \-help
Print a help text to stderr.
.PP

.SH RESOURCES
See the resource file for the available resources.
.SH WIDGETS
In order to specify resources, it is useful to know the hierarchy of
the widgets which compose \fIxpppoem\fP.  In the notation below,
indentation indicates hierarchical structure.  The widget class name
is given first, followed by the widget instance name.
.sp
.nf
.ta .5i 1.0i 1.5i 2.0i
XPppoem  xpppoem
	    Paned  paned
		    Label  label
		    StripChart  load
.fi
.sp
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH FILES
<XRoot>/lib/X11/app-defaults/XPppoem - specifies required resources.
.br
/proc/net/pppoe   information source, human readable
.br
/proc/net/dev     information source, human readable
.br
.SH SEE ALSO
X(1), xrdb(1), xload(1), xisdnload(1), xpppload(1),
Athena StripChart Widget.
.SH BUGS
Does not give an error message, when a nonexisting device is
specified. It keeps trying to watch that device.

Certainly lots of other bugs.
.SH COPYRIGHT
This program is based on \fIxpppload\fP, which is based on \fIxisdnload\fP,
which is based on \fIxload\fP which is Copyright (1988) X Consortium.
Use and redistribution are unrestricted. No warranty.
.SH AUTHORS
- xload:
.br
K. Shane Hartman (MIT-LCS) and Stuart A. Malone (MIT-LCS);
with features added by Jim Gettys (MIT-Athena), Bob Scheifler (MIT-LCS),
Tony  Della Fera (MIT-Athena), and Chris Peterson (MIT-LCS),
Takis  Psarogiannakopoulos (XFree86 Project).
.br
- xisdnload:
.br
Frank Strauss strauss@escape.de (escape e.V., Braunschweig, Germany),
Michael Deindl olmur@dwarf.bb.bawue.de, Markus Pilzecker
mp@timesink.pilzecker.de
.br
- xpppload:
.br
Mario Klebsch mario@klebsch.de, Andreas Kies andikies@t-online.de,
Andreas Hoffmann Andreas.Hoffmann@papierkorb.de
.br
- xpppoem:
.br
Thomas Schmitt scdbackup@gmx.net


